<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		window.addEventListener("load",function(){
			let texto=document.querySelector("#nombre");
			let boton=document.querySelector("#boton");
		boton.addEventListener("click",function(){
			alert(texto.value);
		})
		})
	</script>
</head>
<body>
	<form action="" method="post" name="formulario" id="formulario">
		<p>Nombre<input type="text" name="nombre" id="nombre"></p>
		<p><input type="button" name="Submit" value="Aprietame" id="boton"></p>
	</form>
</body>
</html>